Description: Make test data patchable
 The orig source has the fuzzing test data stored as a .gz, decompressed this is
 a plain C header file.
 To be able to patch the file with quilt, we need to stop the build system to
 handle this file. 
Author: Tobias Frost <tobi@debian.org>
Forwarded: Debian specific.
Last-Update: 2024-04-20 <YYYY-MM-DD, last update of the meta-information, optional>
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/tests/subdir.am
+++ b/tests/subdir.am
@@ -97,10 +97,11 @@
 		> "$@"
 CLEANFILES += tests/lib/cli/test_commands_defun.c
 
-tests/isisd/test_fuzz_isis_tlv_tests.h: $(top_srcdir)/tests/isisd/test_fuzz_isis_tlv_tests.h.gz
-	mkdir -p tests/isisd
-	gzip -d < $(top_srcdir)/tests/isisd/test_fuzz_isis_tlv_tests.h.gz > "$@"
-CLEANFILES += tests/isisd/test_fuzz_isis_tlv_tests.h
+# mange the test vectors ourselves -- we need to patch them.
+#tests/isisd/test_fuzz_isis_tlv_tests.h: $(top_srcdir)/tests/isisd/test_fuzz_isis_tlv_tests.h.gz
+#	#mkdir -p tests/isisd
+#	#gzip -d < $(top_srcdir)/tests/isisd/test_fuzz_isis_tlv_tests.h.gz > "$@"
+#CLEANFILES += tests/isisd/test_fuzz_isis_tlv_tests.h
 
 tests/isisd/tests_isisd_test_fuzz_isis_tlv-test_fuzz_isis_tlv.$(OBJEXT): \
 	tests/isisd/test_fuzz_isis_tlv_tests.h
